Subject: Offline Message from KHALED: I haven't received shipment No. 1 for my order 2
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 15 Jun 2020 07:22:33 -0000

From: KHALED <[email-masked]>
Phone: 
Location: , Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/sales/order/history/
Department: 

I haven't received shipment No. 1 for my order 200240725. I have return the wrong items that I received long time back. my order is since Feb and till now. please help me and close this subject. last time I call you promise only two days and it will be resolved. this is my 10 call 

----
Zopim
https://www.zopim.com